%define qtdir %_libdir/qt3
%define inst2_x11 install2-x11
%define inst2_gui install2-gui
%define inst2 install2

Name: %inst2_x11-qt
Version: 0.2.12
Release: alt2

Group: System/Configuration/Other
Summary: Installer second stage for X11 Qt-based
Url: http://www.altlinux.ru
License: GPL

Packager: Sergey V Turchin <zerg at altlinux dot org>

Provides: %inst2_x11 %inst2
Requires: %inst2-common %inst2-init
Requires: librpm rpm-static predator-kbd
Requires: glibc-gconv-modules glibc-locales

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Feb 09 2005 (-bi)
#BuildRequires: alt-gpgkeys apt-conf-sisyphus fontconfig freetype2 gcc-c++ gnupg hasher kdelibs-devel libcurl-devel libevms-devel libqt3-devel libqt3-settings libssl-devel libstdc++-devel predator-ramdisk-tools qt3-designer xorg-x11-devel xorg-x11-libs zlib-devel
BuildRequires: fontconfig freetype2 gcc-c++ libcurl-devel
BuildRequires: libevms-devel libqt3-devel libssl-devel libstdc++-devel
BuildRequires: xorg-x11-devel xorg-x11-libs zlib-devel libfdisk0-devel

%description
Installer second stage for X11 Qt-based.

%package -n %inst2-common
Group: System/Configuration/Other
Summary: Installer second stage common files
#
%description -n %inst2-common
Installer second stage common files.

%package -n %inst2-init
Group: System/Configuration/Other
Summary: Fake init for installer second stage
Requires: hotplug >= 2004_09_23-alt8 glibc-nss chrooted-resolv
#
%description -n %inst2-init
Fake init for installer second stage


%prep
%setup -q

%build
%make_build \
    QTDIR="%qtdir" \
    QTFLAGS="-I%qtdir/include/ -DQT_THREAD_SUPPORT -DQT_NO_COMPAT" \
    QTLIBS="-L%qtdir/lib/ -lqt-mt -lpthread" \
    DIR_LOCALES="%_libdir/locale/" \
    DEF_FLAGS="%optflags -g -Wall -W -fno-common -fno-exceptions -pedantic -Wno-long-long"

%install
mkdir -p %buildroot/{%_sbindir,%_bindir,%_datadir,%_sysconfdir}
%make install \
    DESTDIR="%buildroot/" \
    ETCDIR="%buildroot/%_sysconfdir" \
    BINDIR="%buildroot/%_bindir" \
    SBINDIR="%buildroot/%_sbindir" \
    SHAREDIR="%buildroot/%_datadir"

%find_lang %name

%files -f %name.lang
%doc ChangeLog REQUIRES
%_sbindir/%name

%files -n %inst2-init
%doc ChangeLog
%_sbindir/install2.sh

%files -n %inst2-common
%doc ChangeLog
%dir %_datadir/predator/
%_datadir/predator/lang_list

%changelog
* Thu Jan 12 2006 Sergey V Turchin <zerg at altlinux dot org> 0.2.12-alt2
	- fix fbdev mode in install2-init

* Wed Nov 30 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.12-alt1
	- set active partition if absent

* Wed Oct 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.11-alt1
	- fix warning message when create primary partition

* Fri Oct 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt5
	- fix to don't umount cdrom at end

* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt4
	- save permissions when copy files

* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt3
	- copy fstab,i18n after remount destination

* Tue Oct 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt2
	- fix build requires

* Tue Oct 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt1
	- fix umount all partitions when return to partitioning step
	- ensure '/' when adding new mountpoint
	- sort before mount
	- mount partitions by separate step
	- enable prev button in bootloader
	- remove entries from /etc/mtab when umount

* Tue Sep 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt4
	- mount sys, proc before create initrd

* Tue Sep 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt3
	- make apt cdrom entry in sources.list.d/distribution.list too

* Tue Sep 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt2
	- increase width of disks list for bootloader step

* Mon Sep 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt1
	- select boot device before packages install

* Mon Sep 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.8-alt3
	- refresh view after assigning partition table
	- print evms messages to stderr
	- handle evms_commit_changes() errors

* Mon Sep 12 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.8-alt2
	- remove symlink to kernel image before create it

* Thu Sep 01 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.8-alt1
	- fix hrefs leading "../" handling in manual browser

* Wed Aug 24 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt14
	- allow to select language if not exist in bootloader 

* Wed Aug 24 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt12
	- setup console fonts and keyboard after base installation

* Mon Aug 22 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt11
	- add Tatarian entry to lang_list

* Fri Aug 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt9
	- dont use predator-x11

* Thu Aug 18 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt8
	- don't allow to uncheck root filesystem formatting

* Mon Aug 15 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt7
	- fix mounting filesystems when autodetect for bootloader
	- fix sorting in device selection list when bootloader installation

* Thu Aug 11 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt6
	- leave 5%% free by default when question dialog about shrink on
	  autopartitioning
	- allow to create more then 2 primary partitions
	- add warning when continue with broken packages

* Mon Aug 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt5
	- add warning when continue with broken packages

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt4
	- fix ignoring when package failed to install

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt3
	- add Ignore button when package failed to install
	- fix duplicate entries and list width in bootloader configuration
	- add splash=silent to lilo.conf

* Thu Aug 04 2005 Anton D. Kachalov <mouse@altlinux.org> 0.2.7-alt2
	- move define of DIR_LOCALES to makefile

* Tue Aug 02 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt1
	- don't use linear option for lilo.conf
	- fix duplicate labels in lilo.conf
	- reload packages info if reinstall
	- update buttons state after changes in partitioning
	- fix cancel creating partition
	- clean status text instead writing step name

* Wed Jul 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.6-alt3
	- fix restoring devpts fstab entry from setup package

* Wed Jul 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.6-alt2
	- fix computing max_shrink_size

* Tue Jul 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.6-alt1
	- fix restoring proc and sys entries from setup package
	- fix hrefs handling in manual browser
	- don't use predator-lilo

* Fri Jul 15 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.5-alt1
	- fix crash on edit partition
	- fix tab order in dialogs
	- improve key Return usability

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.4-alt3
	- select partition by arrows; show properties by space
	- update Russian translation

* Thu Jul 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.4-alt2
	-  select first partition by default

* Tue Jul 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.4-alt1
	- don't continue if packages installation failed
	- fix shrink when autopartitioning
	- better error handliing on install2 exit
	- fix help width
	- apt-get update only distribution

* Tue Jul 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.3-alt1
	- create and install /etc/resolv.conf into system

* Mon Jul 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.2-alt1
	- fix widgets layout in partitioning step 
	- show license in separate dialog
	- fix cleaning partitions info
	- install profile for alterator-packages

* Fri Jul 01 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt1
	- show license in step
	- show main background before language selection

* Wed Jun 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.0-alt1
	- new partitioning UI
	- move graphics to separate package

* Wed Jun 22 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt4
	- add real color scheme from Sadist

* Wed Jun 22 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt3
	- add real background from Sadist
	- fix backgound images placement
	- fix locales list in /etc/sysconfig/i18n:SUPPORTED variable

* Mon Jun 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt2
	- update Russian translation

* Mon Jun 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
	- temporary turn off curl verbosity
	- new main background scheme
	- fix href-s to working in manual browser
	- add custom mount points
	- fix check for filesystems in /mnt/*

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
	- added Ukranian translation; thancs Wad V Mashckoff
	- add console font configuration via predator-console
	- ask before abort
	- check device selected in bootloader stage

* Mon May 30 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.11-alt1
	- better focus handling
	- set default Ext2/3 when create filesystem
	- don't suggest to format formatted /home
	- don not use QEventLoop in steps
	- some work around design
	- improve check disk partitioning user settings
	- go to next step, when Return pressed
	- copy qtrc to root
	- add Belarusian translation, thanks vk@altlinux

* Mon May 16 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.10-alt1
	- optimize umounting filesystems
	- fix adding distribution entry for apt
	- extend additional languages list
	- fix some languages names

* Mon May 16 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.9-alt2
	- update form cvs

* Fri May 06 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.9-alt1
	- fix path to help
	- select boot device from QListBox
	- add help buttons
	- fix removing packages files after install
	- change LANGUAGE to SUPPORTED
	- ask before shrink on autopartitioning

* Fri Apr 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.8-alt1
	- don't show/package flags
	- change transalation on click languages list
	- delete floppy form lilo.conf if /dev/floppy not found
	- add Menu button
	- turn on/off swaps
	- add status line
	- fix crash on trible autosplit
	- fix crash on autopartitioning
	- fix freeze opened help browser when packages installed
	- fix 8MB free spece piece when filesystem change
	- use mount function instead /bin/mount
	- write install2.log

* Thu Apr 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.7-alt1
	- add help browser
	- add Qt translation
	- fix find freespace
	- fix isPrimariesEnough return
	- set locale codec for Qt
	- fix lost data on resize
	- improve autopartitioning
	- make disk sizes in MB
	- fix fat filesystem name
	- skip loop devices when setup bootloader
	- show partition table by default in partitioning step
	- small usability fixes
	- save current disk in list
	- make possible press return when select language
	- write %%_install_langs rpm macros
	- fix getting current disk item from listbox
	- skip loop devices in disks list

* Wed Apr 13 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.6-alt2
	- optimize widgets layout
	- fix rereading partition table; move specfile upper
	- remove /boot from list
	- make "please wait" between steps
	- copy i18n into system before installing packages
	- make default locale first in LANGUAGE variable
	- format filesystems in partitioning step
	- improve device selection in bootloader step
	- move filesystem selection upper
	- mark default language
	- fix autosplit disk when no partition table

* Mon Apr 11 2005 Anton Farygin <rider@altlinux.ru> 0.0.6-alt1
- install2.sh: use /sbin/chroot instead of /usr/sbin/chroot

* Mon Apr 11 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.5-alt1
- updated to last cvs snapshot

* Thu Apr 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.4-alt1
- updated to last cvs snapshot

* Wed Mar 30 2005 Anton Farygin <rider@altlinux.ru> 0.0.3-alt1
- updated to last cvs snapshot
- /sbin/init moved to /usr/sbin/install2.sh
- %%_bindir/%%name moved to %%_sbindir

* Wed Feb 09 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.2-alt1
- initial spec
